### props

| name    | Type    | Default | Description                                                                |
| ------- | ------- | ------- | -------------------------------------------------------------------------- |
| src     | string  | ""      | source of the image                                                        |
| default | string  | ""      | source of the default image image                                          |
| lazy    | boolean | false   | when passed causes the images to lazy load(when the were seen in the page) |

### slots
| default | anything that can be passed to show |
| loader | slot to show when image is loading |
